## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-krb5
Version:        0.7.1
Release:        %autorelease
Summary:        Kerberos API bindings for Python
License:        MIT
URL:            https://github.com/jborean93/pykrb5
Source:         %{pypi_source krb5}

BuildRequires:  gcc
BuildRequires:  krb5-devel
# for /usr/sbin/kdb5_util in tests
BuildRequires:  krb5-server
# for /usr/bin/kinit in tests
BuildRequires:  krb5-workstation

%global _description %{expand:
This library provides Python functions that wraps the Kerberos 5 C API.  Due to
the complex nature of this API it is highly recommended to use something like
python-gssapi which exposes the Kerberos authentication details through GSSAPI.}


%description %_description


%package -n python3-krb5
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-k5test


%description -n python3-krb5 %_description


%prep
%autosetup -p 1 -n krb5-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l krb5


%check
%pytest --verbose


%files -n python3-krb5 -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Jul 17 2025 Jonathan Billings <jsbillings@fedoraproject.org> - 0.7.1-1
- Update to version 0.7.1 rhbz#2350223

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.7.0-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 20 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.7.0-1
- Update to version 0.7.0 rhbz#2320054

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.5.1-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 28 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.5.1-2
- Run test suite

* Wed Sep 13 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.5.1-1
- Initial package, resolves rhbz#2238652
## END: Generated by rpmautospec
